            SET      0.050 1 0     ;Get rate & scaling OK
            VAR    V1              ;Define variable for Conductance g
            VAR    V2              ;Define variable for membrane potential Vm
            VAR    V3              ;Define variable for equilibrium potential E
            VAR    V4              ;define Variable for voltage output to amplifier
            VAR    V5              ;Define Variable that negates output current
            VAR    V6             ;to multiply 16 bit Chan to 32 Bit DAC
            VAR    V7              ; amplification of amplifier
       ; CHAN READS THE MEMBRANEPOTENTIAL in 16 BIT MODE. 
	   ; DAC WRITES IN 32 BIT MODE!!!!!!!!!

            MOVI   V5,-1           ;give  V5 the value -1

;Read real Vm.
;Calculate Current I=g*(Vm-E) in AMPERE!!!!!!
;Apply current

;CHANGE CHANNEL NUMBER (CHAN COMMAND) OF INTRACELLULAR CHANNEL
;TO APPROPRIATE CHANNEL (CHANNEL NUMBER IN SAMPLING CONF)
; all values are in VOLT and SIEMENS 
; sampling configuration must also be in VOLT (no scaling)


            DAC    0,0
            MOVI   V6,65535 ;correction factor 16Bit to 32 Bit DAC (2^16-1)
            HALT   
           
EA:     '0  CHAN   V2,9 ;get latest membrane potential (multiplied by amplification of amplifier)
			SUB V2,V3; driving force (Vm - Equil.potential) in 32BIT
			MUL V2,V1 ; multiply driving force with the conductance
			DIV V2,V7 ; divide result by amplification of amplifier
			DIV V2,V4 ; calculate voltage output to drive amplifier
                        MUL    V2,V6 ;change Vm (16bit) to 32 BIT			
                        DAC    0,V2            ;send to amplifier
            JUMP   EA
			
RA2:    'e  DAC    0,0
            HALT   

